import * as inquirer from 'inquirer';
import { Types } from 'graphql-codegen-core';
interface PluginOption {
    name: string;
    package: string;
    value: string;
    available(tags: Tags[]): boolean;
    shouldBeSelected(tags: Tags[]): boolean;
}
export declare enum Tags {
    browser = "Browser",
    node = "Node",
    typescript = "TypeScript",
    angular = "Angular",
    react = "React"
}
export declare const plugins: Array<PluginOption>;
export interface Answers {
    targets: Tags[];
    config: string;
    plugins: PluginOption[];
    schema: string;
    documents?: string;
    output: string;
    script: string;
    introspection: boolean;
}
export declare function init(): Promise<void>;
export declare function addIntrospection(config: Types.Config): void;
export declare function writeConfig(answers: Answers, config: Types.Config): {
    relativePath: string;
    fullPath: string;
};
export declare function writePackage(answers: Answers, configLocation: string): void;
export declare function guessTargets(): Promise<Record<Tags, boolean>>;
export declare function getPluginChoices(answers: Answers): inquirer.ChoiceType[];
export declare function getApplicationTypeChoices(possibleTargets: Record<Tags, boolean>): {
    name: string;
    key: string;
    value: Tags[];
    checked: boolean;
}[];
export {};
